Description

Associated revisions

Revision 410 - 04/06/2017 07:39 AM - lukemurphey

Updating UI to support conditional output

Reference #1806

History

#1 - 04/03/2017 07:19 PM - Luke Murphey

- Target version set to 4.2

#2 - 04/04/2017 04:45 PM - Luke Murphey

Some options for the inputs.conf:

1. output_results = (all | matches_changed | content_changed)

2. include_only_changed = (0 | 1) along with change_policy =  (all | matches_changed | content_changed)

#3 - 04/04/2017 06:31 PM - Luke Murphey

https://lukemurphey.net/projects/splunk-web-input/wiki/Adding_parameters

#4 - 04/04/2017 06:59 PM - Luke Murphey

StaticListField("output_results", "Indicates when results output should be created", "Output the matches when content changes", none_allowed=True,

empty_allowed=True, required_on_create=False, required_on_edit=False, valid_values=['always', 'when_matches_change',

'when_contents_change'])

#5 - 04/06/2017 07:18 AM - Luke Murphey

Design:

Produce a hash on each result (in run())

Issues:  * How does this work with spidering?  * How does this work when the input fails due to something like a network outage?

#6 - 04/06/2017 07:19 AM - Luke Murphey

Need:
https://lukemurphey.net/projects/splunk-web-input/wiki/Adding_parameters


Default value on the inputs page

Loading of existing value on manager XML page

#7 - 04/06/2017 07:52 AM - Luke Murphey

- % Done changed from 0 to 70

#8 - 04/06/2017 07:53 AM - Luke Murphey

- % Done changed from 70 to 80

#9 - 04/06/2017 07:35 PM - Luke Murphey

- % Done changed from 80 to 90

#10 - 04/06/2017 08:13 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

05/08/2024 2/2

http://www.tcpdf.org

